import { type ParseWantedDependencyResult } from '@pnpm/parse-wanted-dependency';
import { type Config } from '@pnpm/config';
export type GetPatchedDependencyOptions = {
    lockfileDir: string;
} & Pick<Config, 'virtualStoreDir' | 'modulesDir'>;
export declare function getPatchedDependency(rawDependency: string, opts: GetPatchedDependencyOptions): Promise<ParseWantedDependencyResult>;
export interface LockfileVersion {
    gitTarballUrl?: string;
    name: string;
    peersSuffix?: string;
    version: string;
}
export interface LockfileVersionsList {
    versions: LockfileVersion[];
    preferredVersions: LockfileVersion[];
}
export declare function getVersionsFromLockfile(dep: ParseWantedDependencyResult, opts: GetPatchedDependencyOptions): Promise<LockfileVersionsList>;
