"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writePackage = void 0;
const store_connection_manager_1 = require("@pnpm/store-connection-manager");
const pick_registry_for_package_1 = require("@pnpm/pick-registry-for-package");
async function writePackage(dep, dest, opts) {
    const store = await (0, store_connection_manager_1.createOrConnectStoreController)({
        ...opts,
        packageImportMethod: 'clone-or-copy',
    });
    const pkgResponse = await store.ctrl.requestPackage(dep, {
        downloadPriority: 1,
        lockfileDir: opts.dir,
        preferredVersions: {},
        projectDir: opts.dir,
        registry: (dep.alias && (0, pick_registry_for_package_1.pickRegistryForPackage)(opts.registries, dep.alias)) ?? opts.registries.default,
    });
    const { files } = await pkgResponse.fetching();
    await store.ctrl.importPackage(dest, {
        filesResponse: files,
        force: true,
    });
}
exports.writePackage = writePackage;
//# sourceMappingURL=writePackage.js.map